import { jsx } from "react/jsx-runtime";
import { TokenOAX as TokenOAX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenOAX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "OAX", "data-name": "TokenOAX", ...props, children: /* @__PURE__ */ jsx(TokenOAX$1, { variant }) });
  }
);
TokenOAX.displayName = "TokenOAX";
Object.assign(TokenOAX, { isGdsIcon: true });
export {
  TokenOAX
};
